Bug 576246 - missing power_meter release() function
Summary: missing power_meter release() function
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: John Feeney
QA Contact: Zhang Kexin
URL:
Whiteboard:
: 578323 581233 612870 616858 622845 635504 (view as bug list)
Depends On:
Blocks: 592846
TreeView+ depends on / blocked
 
Reported: 2010-03-23 15:48 UTC by Jan Tluka
Modified: 2018-12-05 15:13 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the power_meter module was unloaded or its initialization failed, a backtrace message was written to /var/log/dmesg that warned about a missing release() function. This error was harmless, and no longer occurs with this update.
Clone Of:
: 612870 (view as bug list)
Environment:
Last Closed: 2011-01-13 21:20:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
dmesg (38.84 KB, text/plain)
2011-01-12 05:10 UTC, srinivas gowda
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Jan Tluka 2010-03-23 15:48:31 UTC
Description of problem:

This is a follow up of bug 566575. 

When loading power_meter module during i386 kernel-PAE boot following backtrace is seen:

ACPI Exception (evregion-0424): AE_SUPPORT, Returned by Handler for [DataTable]
[20060707]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PMI0._GHL]
(Node c416f950), AE_SUPPORT
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PMI0._PMC]
(Node c416f9a0), AE_SUPPORT
ACPI Exception (power_meter-0759): AE_SUPPORT, Evaluating _PMC [20060707]
Device 'power_meter0' does not have a release() function, it is broken and must
be fixed.
BUG: warning at drivers/base/core.c:101/device_release() (Not tainted)
 [<c04ebe11>] kobject_cleanup+0x3e/0x5e
 [<c04ebe31>] kobject_release+0x0/0x8
 [<c04ec8f8>] kref_put+0x55/0x5f
 [<f8aa4faf>] acpi_power_meter_add+0x129/0x13a [power_meter]
 [<c05326fd>] acpi_bus_driver_init+0x28/0x4b
 [<c05336f4>] acpi_bus_register_driver+0x7e/0xb3
 [<f8a0d02a>] acpi_power_meter_init+0x1d/0x2b [power_meter]
 [<c043efe9>] sys_init_module+0x1aed/0x1caa
 [<c04ebdc1>] kobject_put+0x0/0x12
 [<c04752e2>] sys_read+0x3c/0x63
 [<c0404ead>] sysenter_past_esp+0x56/0x79
 =======================


Version-Release number of selected component (if applicable):
kernel-PAE-2.6.18-194.el5

How reproducible:
100%

Steps to Reproduce:
1. install RHEL5.5 with -194.el5 kernel on dell-per810-01.lab.bos.redhat.com
2. inspect system logs for the backtrace
  
Actual results:
backtrace during kernel boot

Expected results:
no backtrace

Additional info:
Full logs here: http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=12956071

Comment 1 Matthew Garrett 2010-03-23 15:49:15 UTC
Patch posted to rhkernel-list

Comment 2 Matthew Garrett 2010-04-05 17:48:41 UTC
*** Bug 578323 has been marked as a duplicate of this bug. ***

Comment 5 Dave Maley 2010-04-22 20:12:53 UTC
*** Bug 581233 has been marked as a duplicate of this bug. ***

Comment 9 Jarod Wilson 2010-05-03 16:53:59 UTC
in kernel-2.6.18-198.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 10 guilherme m. schroeder 2010-05-03 17:39:22 UTC
tested -198 with one machine here, no more backtrace for power_meter
still getting this:

ACPI Exception (evregion-0424): AE_SUPPORT, Returned by Handler for [DataTable] [20060707]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PMI0._GHL] (Node ffff81034005d830), AE_SUPPORT
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PMI0._PMC] (Node ffff81034005d870), AE_SUPPORT
ACPI Exception (power_meter-0759): AE_SUPPORT, Evaluating _PMC [20060707]

arch: x86_64

Comment 11 Matthew Garrett 2010-05-03 17:49:45 UTC
Yes. We don't implement support for IPMI operation regions (nor does upstream), so machines that require that for power meter usage will fail.

Comment 18 Douglas Silas 2010-06-28 20:21:29 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When the power_meter module was unloaded or its initialization failed, a backtrace message was written to /var/log/dmesg that warned about a missing release() function. This error was harmless, and no longer occurs with this update.

Comment 19 Martin Wilck 2010-07-02 14:36:37 UTC
(In reply to comment #11)
> Yes. We don't implement support for IPMI operation regions (nor does upstream),
> so machines that require that for power meter usage will fail.    

Could you please give evidence for your statenement "nor does upstream"?
I saw patches around being currently under discussion.

https://patchwork.kernel.org/patch/60875/
https://patchwork.kernel.org/patch/65860/
http://marc.info/?l=linux-acpi&m=127590301225171&w=4

I did not find evidence that these patches were ultimately rejected.

Comment 20 Matthew Garrett 2010-07-02 14:45:13 UTC
The patches have not been merged upstream and still need to be reworked to cope with the changes in IPMI evaluation order.

Comment 21 Alexander Todorov 2010-07-09 09:37:57 UTC
*** Bug 612870 has been marked as a duplicate of this bug. ***

Comment 22 Matthew Garrett 2010-07-23 13:12:59 UTC
*** Bug 616858 has been marked as a duplicate of this bug. ***

Comment 23 Matthew Garrett 2010-08-10 15:02:06 UTC
*** Bug 622845 has been marked as a duplicate of this bug. ***

Comment 24 Matthew Garrett 2010-09-20 15:50:45 UTC
*** Bug 635504 has been marked as a duplicate of this bug. ***

Comment 25 Zhang Kexin 2010-12-09 07:41:07 UTC
reproduced with rhel5.5 i386 PAE kernel.
[root@dell-per810-01 ~]# uname -a
Linux dell-per810-01.lab.bos.redhat.com 2.6.18-194.el5PAE #1 SMP Tue Mar 16 22:00:21 EDT 2010 i686 i686 i386 GNU/Linux

ACPI Exception (evregion-0424): AE_SUPPORT, Returned by Handler for [DataTable] [20060707]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PMI0._GHL] (Node c416e950), AE_SUPPORT
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PMI0._PMC] (Node c416e9a0), AE_SUPPORT
ACPI Exception (power_meter-0759): AE_SUPPORT, Evaluating _PMC [20060707]
Device 'power_meter0' does not have a release() function, it is broken and must be fixed.
BUG: warning at drivers/base/core.c:101/device_release() (Not tainted)
 [<c04ebe11>] kobject_cleanup+0x3e/0x5e
 [<c04ebe31>] kobject_release+0x0/0x8
 [<c04ec8f8>] kref_put+0x55/0x5f
 [<f8aa2faf>] acpi_power_meter_add+0x129/0x13a [power_meter]
 [<c05326fd>] acpi_bus_driver_init+0x28/0x4b
 [<c05336f4>] acpi_bus_register_driver+0x7e/0xb3
 [<f8a7d02a>] acpi_power_meter_init+0x1d/0x2b [power_meter]
 [<c043efe9>] sys_init_module+0x1aed/0x1caa
 [<c04ebdc1>] kobject_put+0x0/0x12
 [<c04752e2>] sys_read+0x3c/0x63
 [<c0404ead>] sysenter_past_esp+0x56/0x79
 =======================

No such dmesg output for 2.6.18-236 i386 PAE kernel.

So bug is fixed.

Comment 26 srinivas gowda 2011-01-12 05:10:59 UTC
Created attachment 472951 [details]
dmesg

Comment 27 srinivas gowda 2011-01-12 05:16:08 UTC
I see a similar error on some of our platforms with 2.6.18-237.el5 (RHEL5.6 RC1) kernel. 
Please find the attached log -  attachment 472951 [details].

Dint see any issues while loading/unloading the power_meter module.

Comment 28 srinivas gowda 2011-01-12 05:24:59 UTC
On re-looking comment 11, will the systems  that  support IPMI_operation_region will continue to display the "ACPI Error" messages ? 

Any workaround to mask this error ?

Comment 30 errata-xmlrpc 2011-01-13 21:20:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.